<?php
session_start();
$host = "localhost";
$user = "yoveraes_userdb";
$pass ="t7@s5FxYn1GB";
$db = "yoveraes_botica";
$conn = new mysqli($host, $user, $pass, $db);
if ($conn->connect_error) {
    die("Error de conexión: " . $conn->connect_error);
}
$fecha_ini = $_POST['fecha_ini'];
$fecha_fin = $_POST['fecha_fin'];
$usuario = $_POST['usuario'];
$query = "SELECT id, fecha,num_docpe, total, cliente, num_docpe, direccion, metodo, hora_vtap, hora_vtab FROM ventas 
          WHERE tipo_doc='P' AND fecha BETWEEN '$fecha_ini' AND '$fecha_fin'";
if (!empty($usuario)) {
    $query .= " AND correo = '$usuario'";
}
$result = $conn->query($query);
$html = "";
$correlativo = 1; // Inicializa el contador
while ($row = $result->fetch_assoc()) {
    $html .= "<tr>
                <td>{$correlativo}</td> <!-- Agrega el número de correlativo -->
                <td>{$row['fecha']}</td>
                <td>{$row['num_docpe']}</td>
                <td>{$row['hora_vtap']}</td>
                <td style=cursor:pointer;color:rgb(0,0,0);text-align:left;>{$row['cliente']}</td>
                <td>{$row['direccion']}</td>
                <td style=font-weight:bold;cursor:pointer;color:rgb(63,81,181);text-align:right;>{$row['total']}</td>
                <td><button class=btn-primary btn-sm onclick=\"editarTotal({$row['id']})\"><i class='fas fa-edit'></i>Actualizar</button></td>
                <td><button class=btn-primary btn-sm onclick=\"editarTotal({$row['id']})\"><i class='fas fa-edit'></i>Imprimir</button></td>
              </tr>";
    $correlativo++; // Incrementa el contador en cada iteración
}
echo $html;

// Conexión a la base de datos
$host = 'localhost';
$dbname = 'yoveraes_botica';
$username = 'yoveraes_userdb';
$password = 't7@s5FxYn1GB';
try {
    $conexion = new PDO("mysql:host=$host;dbname=$dbname", $username, $password);
    $conexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException $e) {
    echo json_encode(['error' => "Error de conexión: " . $e->getMessage()]);
    exit();
}
// Obtener la fecha desde la petición GET
//$fecha = $_GET['fecha'] ?? '';
$fch_desde = $_POST['fecha_ini'];
$fch_hasta = $_POST['fecha_fin'];
$usuarioz = $_POST['usuario'];
?>